## courier 1.5.1

=== debian/changelog ===
courier (1.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove debian/patches/fix-cflags.patch:  Applied upstream.
  * Remove debian/patches/0029-tmp-disable-failing-tests.patch and
    0031-locale-indep.patch, no longer needed now that locales-all is present in
    the build environment.
  * Add debian/patches/fix-make-check-on-big-endian.patch.
  * Add debian/patches/temporarially-disable-maildrop-test.patch.
  * debian/patches/0002-rmail-and-sendmail-belong-to-usr-sbin.patch:  Patches
    file libs/maildrop/mailbot.c which was renamed upstream to
    libs/maildrop/mailbot.C.
  * debian/patches/0010-Don-t-use-static-linking-in-libs-maildir.patch:  Refresh
    offsets.
  * debian/patches/0012-Define-and-use-PEMFILE-in-mkesmtpdcert.patch:  Refresh
    offset.
  * debian/patches/0016-Use-system-courierauth.patch:  Refresh offset.
  * debian/patches/0018-Fix-default-configuration-for-Debian.patch:  Refresh
    offsets.
  * debian/patches/0019-Remove-upstream-chown-on-install-target.patch:  Refresh
    offsets.
  * debian/patches/
    0023-Fix-missing-AC_PROG_SYSCONFTOOL-macro-on-autoreconf.patch:  Fix failing
    hunk.
  * debian/patches/0025-Move-sqwebmail.sock.patch:  Refresh offset.
  * debian/patches/0030-disable-imap-tests.patch:  Fix failing hunk.
  * debian/patches/webadmin-restart-commands.patch:  Refresh offset.
  * debian/control:
    - Add the following Build-Depends version constraints, required for the
      libcourier-unicode10 transition.
      - courier-authlib-dev (>= 0.72.6).
      - libcourier-unicode-dev (>= 2.4.0).
    - Add Build-Depends on autoconf-archive, as upstream now uses one of the
      macros in that package.
    - Add Build-Depends on "locales-all <!nocheck>", which is necessary for some
      of the tests.
  * debian/copyright:  Update for new upstream release.
  * debian/courier-base.install:  Install init-d-script-courier directly from
    the debian directory instead of the temporary install directory.
  * debian/init-d-script-courier:  Set as executable to fix a lintian warning.
  * debian/lrc.config:  Update for new upstream release.
  * debian/rules:
    - Modernize the build hardening flags.
    - Stop adding obsolete --as-needed linker flag (suggested by lintian).
    - No longer install init-d-script-courier into the temporary directory.  It
      will be handled by debian/courier-base.install instead.
    - Make usr/share/courier/webadmin/admin-05local.pl executable to fix a
      lintian warning.
  * debian/watch:  Covert watch file from version 4 to version 5.

 -- Soren Stoutner <soren@debian.org>  Fri, 12 Dec 2025 12:38:05 -0700

courier (1.4.1-10) unstable; urgency=medium

  * Add remove-upstream-gnutls-version-check.patch (closes: #1111893).
  * debian/rules:  Display the expected file permissions in the build log.
  * debian/sqwebmail.postinst:
    - Change the dpkg-statoverride for /var/cache/sqwebmail user and group from
      courier:courier to bin:bin to match upstream recommendations and to enable
      caching of SqWebMail authentications.
    - Delete the following obsolete files:
      - /etc/apache2/conf-available/sqwebmail.apache24.conf
      - /etc/apache2/conf-enabled/sqwebmail.apache24.conf

 -- Soren Stoutner <soren@debian.org>  Tue, 09 Sep 2025 18:16:03 -0700

courier (1.4.1-9) unstable; urgency=medium

  * Remove the following files:
    - debian/sqwebmail.apache2
    - debian/sqwebmail.apache24.conf.
  * Add the following files:
    - debian/configs/calendarmode
    - debian/examples/apache2-alias.conf
    - debian/examples/apache2-host.conf
    - debian/sqwebmail.examples
    - debian/sqwebmail.sqwebmail-cleancache.service
    - debian/sqwebmail.sqwebmail-cleancache.timer
  * Rename debian/sqwebmail.cron.d to
    debian/sqwebmail.sqwebmail-cleancache.cron.d, change the user from bin to
    courier, and set it to run every 30 minutes instead of every 16 minutes.
  * Rename debian/sqwebmail.service to debian/sqwebmail.swqebmail.service so
    that it can be installed alongsite the sqwebmail-cleancache-service.
  * debian/control:
    - Remove sqwebmail Depends on cron, as it now also works with Systemd
      timers.
    - Be more expressive in the short description for courier-pcp.
    - Sort binary packages alphabetically.
    - Rewrap descriptions at 80 columns.
    - Remove obsolete "Rules-Requires-Root: no".
  * debian/lrc.config:  Add additional exceptions.
  * debian/rules:
    - Create an empty /etc/courier/sqwebmail/dictionary.
    - Remove the no-longer needed "--with apache2".
    - Remove obsolete -Wl,--as-needed linker flags.
  * debian/sqwebmail.config:  Remove obsolete sqwebmail/install-www and
    sqwebmail/install-www-backup entries.
  * debian/sqwembail.cron.d:  Change user from bin to courier.
  * debian/sqwebmail.dirs:  Remove unneeded var/www.
  * debian/sqwebmail.install:  Install the following files:
    - etc/courier/calendarmode
    - etc/courier/sqwebmail/dictionary
  * debian/sqwebmail.links:  Add /usr/lib/cgi-bin/sqwebmail.cgi, required for
    apache2-host.conf.
  * debian/sqwebmail.postinst:
    - No longer handle sqwebmail/install-www.
    - Delete the obsolete /var/www/sqwebmail directory.
    - Silence any dpkg-statoverride errors.
  * debian/sqwebmail.postrm:
    - No longer handle /var/www/sqwebmail.
    - No longer delete /etc/courier/calendarmode and /etc/courier/ispelldict as
      these will be handled as conffiles.
    - Silence any dpkg-statoverride errors.
  * debian/sqwebmail.README.Debian:  Update for current example configs.
  * debian/sqwebmail.service:  Fix typo in service description.
  * debian/sqwebmail.templates:  Remove obsolete sqwebmail/install-www and
    sqwebmail/install-www-backup entries.

 -- Soren Stoutner <soren@debian.org>  Sat, 06 Sep 2025 10:22:36 -0700

courier (1.4.1-8) unstable; urgency=medium

  * Add debian/tests/smoke-webadmin.
  * debian/patches/webadmin-restart-commands.patch: Update forwarded
    information.

