=== debian/control ===
Source: courier
Section: mail
Priority: optional
Maintainer: Soren Stoutner <soren@debian.org>
Build-Depends: debhelper-compat (= 13),
               autoconf-archive,
               automake,
               dh-exec,
               dh-apache2,
               ca-certificates,
               courier-authlib-dev (>= 0.72.6),
               default-libmysqlclient-dev,
               expect,
               ghostscript,
               gnupg2,
               gnutls-bin,
               groff-base,
               libcourier-unicode-dev (>= 2.4.0),
               libgcrypt20-dev,
               libgdbm-dev,
               libgnutls28-dev,
               libidn-dev,
               libldap2-dev,
               libpam0g-dev,
               libpcre2-dev,
               libperl-dev,
               libpq-dev,
               libsasl2-dev,
               libtool-bin,
               media-types,
               mgetty-fax,
               netpbm,
               po-debconf,
               procps,
               wget,
               zlib1g-dev,
               locales-all <!nocheck>
Homepage: https://www.courier-mta.org/
Vcs-Git: https://salsa.debian.org/debian/courier.git
Vcs-Browser: https://salsa.debian.org/debian/courier
Standards-Version: 4.7.2

Package: courier-base
Architecture: any
Depends: adduser,
         courier-authdaemon,
         courier-authlib,
         courier-authlib-userdb,
         debconf,
         gnutls-bin,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Courier mail server - base system
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 This package provides the functionality needed by all courier packages such as
 some configuration files, helper programs and the Courier TCP server daemon.
 .
 Courier uses the a TLS wrapper application named couriertls instead of
 embedding TLS support in the different applications. Additionally, this package
 contains a default set of trusted X.509 root CA certs.

Package: courier-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Courier mail server - additional documentation
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 This package contains additional documentation for Courier.

Package: courier-faxmail
Architecture: any
Depends: courier-mta (= ${binary:Version}),
         ghostscript,
         groff,
         mgetty-fax,
         ${misc:Depends}
Suggests: courier-doc
Recommends: netpbm
Description: Courier mail server - Fax<->mail gateway
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 The courierfax module implements a faxmail gateway, which faxes a printed copy
 of an email message to the phone number specified in the email address
 (e.g. 5558888@fax).

Package: courier-imap
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: courier-base (= ${courier-base:Version}),
         debconf,
         default-mta | mail-transport-agent,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: courier-doc,
          imap-client
Provides: imap-server
Conflicts: imap-server
Replaces: imap-server,
          cyrus-imapd
Breaks: cyrus-imapd
Description: Courier mail server - IMAP server
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 This package provides an IMAP server that accesses email stored in Maildirs
 format mailboxes. This server has an extremely small footprint and provides
 shared and virtual shared folders.
 .
 IMAP over TLS is handled by the regular IMAP daemon in conjunction with the TLS
 wrapper.

Package: courier-ldap
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: courier-authlib-ldap,
         courier-base (= ${binary:Version}),
         debconf,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: courier-doc
Replaces: courier-imap-authldap
Conflicts: courier-imap-authldap
Description: Courier mail server - LDAP support
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 This package contains support for LDAP authentication and LDAP-based mail
 aliasing.

Package: courier-mlm
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: courier-base (= ${binary:Version}),
         maildrop,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: courier-doc
Description: Courier mail server - mailing list manager
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 The couriermlm command sets up, maintains, and runs a mailing list. It
 automatically handles subscribe and unsubscribe requests, and removes
 undeliverable addresses from the subscription rolls.  Mailing lists managed by
 couriermlm require zero human administrative oversight. It supports digests,
 write-only posting aliases, and moderated mailing lists.

Package: courier-mta
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: courier-base (= ${binary:Version}),
         debconf,
         libnet-cidr-perl,
         wget,
         ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends}
Provides: mail-transport-agent
Conflicts: mail-transport-agent
Replaces: mail-transport-agent,
          esmtp-run,
          exim4-daemon-heavy,
          exim4-daemon-light,
          dma,
          msmtp-mta,
          nullmailer,
          opensmtpd,
          postfix,
          rmail,
          ssmtp
Breaks: esmtp-run,
        exim4-daemon-heavy,
        exim4-daemon-light,
        dma,
        msmtp-mta,
        nullmailer,
        opensmtpd,
        postfix,
        rmail,
        ssmtp
Suggests: courier-doc,
          courier-filter-perl,
          mail-reader
Description: Courier mail server - ESMTP daemon
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 This package provides an ESMTP daemon which uses the Maildir format as native
 storage format, supports IPv6, implements SMTP extensions for mailing list
 management and features integrated mail filtering. It can function as an
 intermediate mail relay, relaying mail between an internal LAN and the
 Internet, or perform final delivery to mailboxes.
 .
 ESMTP over TLS is handled by the regular ESMTP daemon in conjunction with the
 TLS wrapper.

Package: courier-pcp
Architecture: any
Depends: sqwebmail,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: courier-doc
Description: Courier mail server - Personal Calendaring Protocol server
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 This package contains the PCP (Personal Calendaring Protocol) server needed for
 the groupware calendaring mode of SqWebMail.

Package: courier-pop
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: courier-base (= ${binary:Version}),
         debconf,
         default-mta | mail-transport-agent,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pop3-server
Conflicts: pop3-server
Replaces: pop3-server,
          mailutils-pop3d
Breaks: mailutils-pop3d
Suggests: courier-doc,
          mail-reader
Description: Courier mail server - POP3 server
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 This package provide the POP3 daemon for Courier. It only supports email stored
 in the Maildir format.
 .
 POP3 over TLS is handled by the regular POP3 daemon from in conjunction with
 the TLS wrapper.

Package: courier-webadmin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: apache2 | httpd,
         courier-base (= ${binary:Version}),
         debconf,
         libcgi-pm-perl,
         ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends}
Suggests: courier-doc
Description: Courier mail server - web-based administration frontend
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 The web-based administration and configuration tool for the Courier mail server
 is capable of changing the settings of the MTA, IMAP, POP and Webmail servers
 and the LDAP, MySQL and PostgreSQL authentication modules. Only the installed
 parts of the Courier mail server show up in the administration frontend.

Package: sqwebmail
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: apache2,
         courier-base (= ${courier-base:Version}),
         debconf,
         default-mta | mail-transport-agent,
         expect,
         iamerican | ispell-dictionary,
         ispell,
         maildrop,
         ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends}
Recommends: ${misc:Recommends},
            courier-pcp,
Suggests: courier-doc,
          gnupg
Description: Courier mail server - webmail server
 The Courier mail transfer agent (MTA) is an integrated mail/groupware server
 based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP, TLS, and
 HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list services
 within a single, consistent, framework.
 .
 This package contains the SqWebMail webmail server, which provides access to
 local mailboxes in Maildir format.
