=== debian/watch ===
Version: 5

Source: https://sf.net/courier/
Matching-Pattern: courier-@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sig/
